{
  "custom": {
    "activityLogger": {
      "alt_pageid": "notifyToolPopup",
      "start_time": {
        "$": [
          "ts",
          192,
          1715013953223
        ],
        "$ts": 1715013953223
      }
    }
  },
  "events": {
    "system": {
      "onShutdown": {
        "config": {
          "script": "\tactivityLog.productMetrics.callLogger(self, \u0027page\u0027)"
        },
        "scope": "G",
        "type": "script"
      },
      "onStartup": {
        "config": {
          "script": "\tself.custom.activityLogger.start_time \u003d system.date.now()"
        },
        "scope": "G",
        "type": "script"
      }
    }
  },
  "params": {
    "entryCount": "",
    "instances": []
  },
  "propConfig": {
    "custom.activityLogger": {
      "persistent": true
    },
    "custom.activityLogger.pageid": {
      "binding": {
        "config": {
          "path": "page.props.path"
        },
        "transforms": [
          {
            "code": "    if value \u003d\u003d\u0027/\u0027 or value \u003d\u003d \u0027\u0027 or value \u003d\u003d None:\n        return self.custom.activityLogger.alt_pageid.lower()\n    else:\n        return value[1:].lower()\n\treturn value",
            "type": "script"
          }
        ],
        "type": "property"
      }
    },
    "params.entryCount": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.instances": {
      "paramDirection": "input",
      "persistent": true
    },
    "props.defaultSize.height": {
      "binding": {
        "config": {
          "path": "view.params.entryCount"
        },
        "transforms": [
          {
            "fallback": 475,
            "inputType": "range",
            "mappings": [
              {
                "input": {
                  "max": 1,
                  "min": 0
                },
                "output": 227
              },
              {
                "input": {
                  "max": 2,
                  "min": 2
                },
                "output": 456
              },
              {
                "input": {
                  "max": 99,
                  "min": 3
                },
                "output": 475
              }
            ],
            "outputType": "scalar",
            "type": "map"
          }
        ],
        "type": "property"
      }
    },
    "props.defaultSize.width": {
      "binding": {
        "config": {
          "path": "view.params.entryCount"
        },
        "transforms": [
          {
            "fallback": 620,
            "inputType": "range",
            "mappings": [
              {
                "input": {
                  "max": 2,
                  "min": 0
                },
                "output": 600
              },
              {
                "input": {
                  "max": 99,
                  "min": 3
                },
                "output": 620
              }
            ],
            "outputType": "scalar",
            "type": "map"
          }
        ],
        "type": "property"
      }
    }
  },
  "props": {
    "defaultSize": {}
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "FlexRepeater"
        },
        "position": {
          "basis": "200px",
          "grow": 1
        },
        "propConfig": {
          "props.instances": {
            "binding": {
              "config": {
                "path": "view.params.instances"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "direction": "column",
          "path": "PopUp-Views/Notify-Tool/Notify-Popup-Entry"
        },
        "type": "ia.display.flex-repeater"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column",
      "style": {
        "classes": "Background-Styles/Controller"
      }
    },
    "type": "ia.container.flex"
  }
}